#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2800seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 2800"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2800seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven28004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven28004xi = {
                1:'-1070x-902y2424z',
                2:'-1076x-1008y2496z',
                3:'-1076x-2143y1445z',
                4:'-1078x-2422y899z',
                5:'-1096x-830y2438z',
                6:'-1118x-758y2452z',
                7:'-1135x-686y2465z',
                8:'-1147x-614y2478z',
                9:'-114x-1431y2403z',
                10:'-1155x-542y2491z',
                11:'-1159x-471y2504z',
                12:'-116x-2503y1248z',
                13:'-1179x-2071y1469z',
                14:'-1199x-2354y926z',
                15:'-1278x-1994y1492z',
                16:'-1316x-2280y952z',
                17:'-1372x-1912y1516z',
                18:'-141x-2704y712z',
                19:'-1428x-2200y979z',
                20:'-1431x-2406y6z',
                21:'-1461x-1825y1539z',
                22:'-1536x-2114y1005z',
                23:'-1544x-1735y1563z',
                24:'-1555x-2328y34z',
                25:'-1621x-1640y1586z',
                26:'-1638x-2023y1031z',
                27:'-1674x-2243y62z',
                28:'-1693x-1543y1609z',
                29:'-1734x-1926y1057z',
                30:'-1759x-1442y1632z',
                31:'-1789x-2151y90z',
                32:'-1819x-1338y1654z',
                33:'-1825x-1825y1083z',
                34:'-185x-1399y2418z',
                35:'-1873x-1232y1677z',
                36:'-1898x-2054y118z',
                37:'-1910x-1720y1108z',
                38:'-1920x-1123y1699z',
                39:'-1961x-1013y1721z',
                40:'-1989x-1610y1134z',
                41:'-1995x-902y1743z',
                42:'-2002x-1951y146z',
                43:'-2024x-790y1765z',
                44:'-2045x-677y1787z',
                45:'-2061x-1497y1160z',
                46:'-2061x-565y1808z',
                47:'-2070x-452y1830z',
                48:'-2100x-1842y174z',
                49:'-2127x-1381y1185z',
                50:'-2186x-1262y1210z',
                51:'-2192x-1729y202z',
                52:'-2238x-1140y1236z',
                53:'-2278x-1610y230z',
                54:'-2283x-1016y1261z',
                55:'-2322x-891y1286z',
                56:'-2353x-764y1310z',
                57:'-2357x-1488y258z',
                58:'-2377x-636y1335z',
                59:'-2394x-508y1360z',
                60:'-2403x-380y1384z',
                61:'-2406x-252y1408z',
                62:'-2430x-1361y286z',
                63:'-246x-2481y1273z',
                64:'-2495x-1230y313z',
                65:'-254x-1363y2432z',
                66:'-2553x-1097y341z',
                67:'-25x-27y2799z',
                68:'-2603x-961y369z',
                69:'-2646x-822y397z',
                70:'-2682x-681y424z',
                71:'-26x-399y2771z',
                72:'-282x-2685y739z',
                73:'-319x-1325y2445z',
                74:'-373x-2452y1298z',
                75:'-381x-1282y2459z',
                76:'-39x-1459y2389z',
                77:'-421x-2659y766z',
                78:'-42x-50y2799z',
                79:'-440x-1238y2472z',
                80:'-44x-370y2775z',
                81:'-494x-1190y2485z',
                82:'-498x-2416y1323z',
                83:'-545x-1140y2498z',
                84:'-558x-2626y793z',
                85:'-56x-75y2798z',
                86:'-592x-1088y2510z',
                87:'-59x-340y2778z',
                88:'-621x-2374y1348z',
                89:'-635x-1034y2523z',
                90:'-674x-978y2535z',
                91:'-67x-101y2797z',
                92:'-692x-2586y819z',
                93:'-6x-428y2767z',
                94:'-709x-922y2546z',
                95:'-70x-309y2781z',
                96:'-739x-864y2558z',
                97:'-740x-2325y1372z',
                98:'-766x-805y2569z',
                99:'-76x-128y2795z',
                100:'-783x-144y2684z',
                101:'-788x-746y2580z',
                102:'-79x-278y2784z',
                103:'-7x-6y2799z',
                104:'-800x-191y2676z',
                105:'-807x-687y2591z',
                106:'-815x-240y2667z',
                107:'-821x-628y2601z',
                108:'-824x-2538y846z',
                109:'-826x-291y2659z',
                110:'-831x-570y2612z',
                111:'-834x-344y2650z',
                112:'-838x-512y2622z',
                113:'-839x-399y2641z',
                114:'-83x-157y2794z',
                115:'-840x-455y2631z',
                116:'-84x-247y2787z',
                117:'-856x-2270y1396z',
                118:'-86x-186y2792z',
                119:'-87x-216y2790z',
                120:'-953x-2483y873z',
                121:'-968x-2209y1421z',
                122:'0x-2714y685z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2800seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2800seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2800SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE2800SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2800SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2800SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2800SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven28004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2800SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2800SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2800SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven28004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven28004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2800SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE2800SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2800SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2800seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       